# Record Class QParameterPositional<T>

java.lang.Object
java.lang.Record
com.io7m.quarrel.core.QParameterPositional<T>

Type Parameters:
  `T` - The type
Record Components:
  `name` - The parameter name (for usage descriptions)
  `description` - The parameter description
  `type` - The type

All Implemented Interfaces:
  `QParameterType<T>`

public record QParameterPositional<T>(String name, QStringType description, Class<T> type) extends Record implements QParameterType<T>
A positional parameter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QParameterPositional(String name, QStringType description, Class<T> type)`
  A positional parameter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QStringType`
  `description()`
  Returns the value of the `description` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Class<T>`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QParameterPositional

    public QParameterPositional(String name, QStringType description, Class<T> type)
    A positional parameter.
    Parameters:
      `name` - The parameter name (for usage descriptions)
      `description` - The parameter description
      `type` - The type

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Specified by:
      `name` in interface `QParameterType<T>`
    Returns:
      the value of the `name` record component

  - ### description

    public QStringType description()
    Returns the value of the `description` record component.
    Specified by:
      `description` in interface `QParameterType<T>`
    Returns:
      the value of the `description` record component

  - ### type

    public Class<T> type()
    Returns the value of the `type` record component.
    Specified by:
      `type` in interface `QParameterType<T>`
    Returns:
      the value of the `type` record component